Subject: Re: [PATCH stable-5.9.y] net: dsa: b53: Correct learning for standalone ports

From: Greg KH <[email-masked]>
Date: Thu, 25 Feb 2021 09:16:32 +0100

On Wed, Feb 24, 2021 at 05:09:54PM -0800, Florian Fainelli wrote:
> Standalone ports should not have learning enabled since all the frames
> are always copied to the CPU port. This is particularly important in
> case an user-facing port intentionally spoofs the CPU port's MAC
> address. With learning enabled we would end up with the switch having
> incorrectly learned the address of the CPU port which typically results
> in a complete break down of network connectivity until the address
> learned ages out and gets re-learned, from the correct port this time.
> 
> There was no control of the BR_LEARNING flag until upstream commit
> 4098ced4680a485c5953f60ac63dff19f3fb3d42 ("Merge branch 'brport-flags'")
> which is why we default to enabling learning when the ports gets added
> as a bridge member.
> 
> Fixes: 967dd82ffc52 ("net: dsa: b53: Add support for Broadcom RoboSwitch")
> Signed-off-by: Florian Fainelli <[email-masked]>
> ---
>  drivers/net/dsa/b53/b53_common.c | 18 ++++++++++++++++++
>  drivers/net/dsa/b53/b53_regs.h   |  1 +
>  drivers/net/dsa/bcm_sf2.c        | 15 +--------------
>  3 files changed, 20 insertions(+), 14 deletions(-)

Note, 5.9.y and 5.8.y are long end-of-life.  You can see that at the
front page of www.kernel.org if you ever are curious about it.

thanks,

greg k-h